#!/usr/bin/python

import sys
import re
import json
import itertools
from os import listdir
from os.path import isfile, join, splitext
import json

data_path = sys.argv[1]
output_path = "../data/esm/"

filenames = [(join(data_path, f), splitext(f)[0]) for f in listdir(data_path) if isfile(join(data_path, f))]

for input_file, filename in filenames:
	data = list()

	with open(input_file) as f:
	    for line1,line2 in itertools.zip_longest(*[f]*2):
	        seq_id = line1.replace(">", "").rstrip("\n")
	        seq = line2.strip().rstrip("\n")
	        data.append((seq_id, seq))

	output_file = filename + "_esm.json"

	with open(output_path + output_file, 'w') as out:
	    json.dump(data, out, indent=4)