#!/usr/bin/python

import numpy as np
from os import listdir
from os.path import isfile, join, splitext
import subprocess
import sys
import json

json_path = "../data/esm/"
npz_path = "../output/esm_outputs/"
npz_out = "../output/esm_outputs/mod_ecpred/"

filenames = [(join(npz_path, f), splitext(f)[0]) for f in listdir(npz_path) if isfile(join(npz_path, f))]

problem_files = []
for npz_file, filename in filenames:
    try:
        with open(join(json_path, filename + ".json")) as f:
            data = json.load(f)
        a = np.load(npz_file)
        mut_a  = dict(a)
        new_data = {}
        for i in range(len(data)):
            new_data[data[i][0]] = mut_a['arr_0'][i]

        output_npz_file = join(npz_out, "m" + filename)
        np.savez(output_npz_file, **new_data)
    except:
        problem_files.append(npz_file)

print(problem_files)
print(len(problem_files))